
Foreman - Feature #21012

Add host count to location API call

09/19/2017 12:15 PM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version: 1.17.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1474348 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4860

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1474348

Description of problem:

Currently, the API call to "/api/v2/locations/<id>" shows a lot of info, but does not show the number of hosts associated with the

location. This is useful for users who use the API to produce reports on how many systems are in each location.

This info is available via the web UI in the locations page, but in order to get at the same information via the API, you have to do a

search for each location and count the results.

Associated revisions

Revision 20a633d6 - 11/27/2017 12:28 PM - Nagoor Shaik

Fixes #21012 - taxonomies API to show hosts associated with it

History

#1 - 09/20/2017 04:25 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4860 added

#2 - 11/27/2017 12:29 PM - Tomer Brisker

- Subject changed from Add host count to location API call

 to Add host count to location API call

- translation missing: en.field_release set to 296

#3 - 11/27/2017 01:01 PM - Nagoor Shaik

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 20a633d62478ee432e0992710ab2bd6b903296db.
